Mouse = class'Mouse'

function Mouse:initialize(sensitivity)
	local w, h = love.window.getDimensions()
	love.mouse.setPosition(w/2, h/2)

	self.sensitivity = sensitivity
end

function Mouse:update()
	local w, h = love.window.getDimensions()
	local mx, my = love.mouse.getPosition()
	love.mouse.setPosition(w/2, h/2)
	return (w/2 - mx) * self.sensitivity, (h/2 - my) * self.sensitivity
end
